declare const __APP_ENV__: ImportMetaEnv;

interface Window {
  _AMapSecurityConfig: {
    securityJsCode: string;
  };
}

interface tokenInfo {
  isLogin: boolean;
  loginDevice: string;
  loginId: string;
  loginType: string;
  sessionTimeout: string;
  tag: string;
  tokenActiveTimeout: string;
  tokenName: string;
  tokenSessionTimeout: string;
  tokenTimeout: string;
  tokenValue: string;
}

class SelectNodeVo<T, E = Record<string, any>> {
  value: T;
  label: string;
  options?: SelectNodeVo<T>[];
  orderIndex?: number;
  disabled?: boolean;
  extData?: E;
}
interface RouterVo {
  /** id **/
  snowFlakeId: string;
  /** 父级id **/
  parentId: string;
  /** 子项 **/
  children: unsupported;
  /** 名称 **/
  name: string;
  /** 菜单类型 **/
  type: SelectNodeVo<"dir" | "menu" | "btn">;
  /** 路径 **/
  path: string;
  /** 重定向地址 **/
  redirect: string;
  /** 路由元数据 **/
  meta: RouterMetaVo;
}
