import { createApp } from "vue";
import App from "@/App.vue";

// vue Router
import router from "@/router";
// AntDesignVue
import Antd from "ant-design-vue";
// pinia store
import pinia from "@/stores";

// AntDesignVue样式
import "ant-design-vue/dist/reset.css";
//浏览器重置样式
import "@/assets/scss/reset.scss";
//公共样式
import "@/assets/scss/common.scss";
// 阿里巴巴普惠体
import "@/assets/scss/font.scss";
// icon图标
import SvgIcon from "@/components/SvgIcon/index.vue";
import "@/assets/iconfont/iconfont.js";
import "@/styles/index.scss";
import { initEnums } from "@/config/dict";
// initEnums();
const vueApp = createApp(App);
vueApp.component("SvgIcon", SvgIcon);
vueApp.use(router).use(Antd).use(pinia).mount("#app");
